Subject: RE: cygwin bash profile / Windows ME
From: "John Morrison" <[email-masked]>
To: "Sandro Bonazzola" <[email-masked]>, "Ronald Landheer-Cieslak" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 23 Feb 2004 17:28:47 -0000

Thanks Sandro,

I've made a slight change to your suggestion,

> From: Sandro Bonazzola
>
> Under Windows ME the 'uname -s' command reports: "CYGWIN_ME-4.90".
> The /etc/profile file says:
>

CYGWIN_9?-* | CYGWIN_ME-*)
	PRINTER="`regtool -q get
'\config\System\CurrentControlSet\Control\Print\Printers\Default'`"
 	;;
esac

since they are otherwise identical :)

> which seems to work for my system.
>
> Another problem is that here:
> case "$0" in
> bash     | -bash     | */bash | \
> bash.exe | -bash.exe | */bash.exe )
>
> the script didn't recognize correctly bash due to case sensitive
> matching, as $0 is "/usr/bin/BASH".
> I've solved appending */BASH as option in the case statement.

I didn't realise this was the case, consider it added (I'll
assume it's the same for all the other shells and add them too).

> I hope to had been helpfull.

Feedback/suggestions always is - thanks.

> (I'm sorry if there are english error, I don't have many occasion to use
> this language.)

Your English was perfectly clear, better than some native
speakers I've been talking to lately :)

J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/